POST /replicate/v1/predictions
Method: POSTEndpoint: /replicate/v1/predictions
https://replicate.com/lucataco/animate-diff This section contains endpoint-specific behavior, parameters, or usage notes for this API.
Request Parameters
Header Parameters
text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
version
string
Required
input
object
Required
seed
integer
Required
image
string
Required
steps
integer
Required
prompt
string
Required
cfg_scale
integer
Required
scheduler
string
Required
sampler_name
string
Required
negative_prompt
string
Required
denoising_strength
number
Required
outpaint_direction
string
Required
overlay_original_img
boolean
Required
Example
{
"version"
:
"beecf59c4aee8d81bf04f0381033dfa10dc16e845b4ae00d281e2fa377e48a9f"
,
"input"
:
{
"path"
:
"toonyou_beta3.safetensors"
,
"seed"
:
255224557
,
"steps"
:
25
,
"prompt"
:
"masterpiece, best quality, 1girl, solo, cherry blossoms, hanami, pink flower, white flower, spring season, wisteria, petals, flower, plum blossoms, outdoors, falling petals, white hair, black eyes"
,
"n_prompt"
:
"badhandv4, easynegative, ng_deepnegative_v1_75t, verybadimagenegative_v1.3, bad-artist, bad_prompt_version2-neg, teeth"
,
"motion_module"
:
"mm_sd_v14"
,
"guidance_scale"
:
7.5
}
}Example Request
Shell
bash
curl --location --request POST '/replicate/v1/predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"version": "beecf59c4aee8d81bf04f0381033dfa10dc16e845b4ae00d281e2fa377e48a9f",
"input": {
"path": "toonyou_beta3.safetensors",
"seed": 255224557,
"steps": 25,
"prompt": "masterpiece, best quality, 1girl, solo, cherry blossoms, hanami, pink flower, white flower, spring season, wisteria, petals, flower, plum blossoms, outdoors, falling petals, white hair, black eyes",
"n_prompt": "badhandv4, easynegative, ng_deepnegative_v1_75t, verybadimagenegative_v1.3, bad-artist, bad_prompt_version2-neg, teeth",
"motion_module": "mm_sd_v14",
"guidance_scale": 7.5
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{}